Subject: Re: bind and O_NONBLOCK

From: Ulrich Drepper <[email-masked]>
Date: Sat, 22 Sep 2007 09:21:06 -0700

Evgeniy Polyakov wrote:
> So, did I understand you correctly, that you want to introduce network
> AIO here? (for example on behalf of work queue or something else?)

See Alan's mail.  All this was his proposal, I just got it accepted
upstream.

The problem to solve is if you have a distributed network port set.
Apparently NetBIOS has it but I could also imagine this to be useful in
cluster implementations which have to appear as one machine.  In this
case, before binding to a given port, you have to make sure no other
machine already handles this port.

- --
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖